Skip to main content
List Connector Summaries
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/3/notifications/notification-center/v1/connectors:listSummaries \
  --header 'Authorization: <api-key>'
{
  "connectors": [
    {
      "createTime": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "id": "<string>",
      "name": "<string>",
      "teamId": 123,
      "type": "CONNECTOR_TYPE_UNSPECIFIED",
      "updateTime": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

connector_type
enum<string>
Available options:
CONNECTOR_TYPE_UNSPECIFIED,
SLACK,
GENERIC_HTTPS,
PAGERDUTY,
IBM_EVENT_NOTIFICATIONS,
SERVICE_NOW,
EMAIL
supported_by_entity_type
enum<string>
Available options:
ENTITY_TYPE_UNSPECIFIED,
ALERTS,
TEST_NOTIFICATIONS,
CASES

Response

200 - application/json

Response containing summaries of connectors

connectors
object[]